Highlighted

oracle 11.4 w/acsls or infoscale - not working

Oracle has deprecieated the ucb libraries with 11.4, which causes issues with NetBackup using acsls to control the library:

From support:

The issue you are facing is that Oracle has removed these libraries. There is not a way in NetBackup to work around this since this is OS level functionality related to the specific library.

In effect NetBackup does work on Solaris 11.4 but the library software from the library vendor does not.

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS
2 Solutions

Accepted Solutions
Accepted Solution!

Re: oracle 11.4 w/acsls or infoscale - not working

So - when you update an older Solaris system, the ucb libraries are there. But a new install will not include them.

You have to tar up the ucb tree structure from an old one and restore it to the new system after patching/installation.

At this time Veritas writing to a robot using acsls does NOT work with new installs of 11.4

It is not that the acsls does not work, but oracle has been saying they will be removing these directories for a while and finally did it.

Offically, this is not an approved solution, but unofficially it is the only workaround until Veritas recompiles with corrected libraries. That likely will take a new verison, so 8.2? 

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS

View solution in original post

Tags (2)
Accepted Solution!

Re: oracle 11.4 w/acsls or infoscale - not working

NBU – Support for 11.4 is not currently listed on the compatibility list

  • We are waiting on confirmation from the product management team at Veritas to confirm support for 11.4 on NetBackup
  • The  Infoscale patch for solaris 11.4 is set for release on 1/29/19.

 

https://www.veritas.com/support/en_US/article.100044620 - Veritas Support Article to address 11.4 pkginfo, pkgadd, pkgrm commands not being available.

 

Problem

Unable to install NetBackup 8.1.x and earlier client on Solaris 11 update 4 OS

Error Message

./cp_to_client: line 2471: pkginfo: not found

Install trace file:

pkginfo -q VRTSpbx.*
./installpbx[581]: pkginfo: not found [No such file or directory]

ERROR: The supplied package tarball is not of appropriate version/architecture for this machine

Cause

Found that in 11.4 pkginfo, pkgadd, pkgrm commands are not available

It appears the default installation of Solaris 11 update 4 does not include pkginfo/pkgadd/pkgrm

Those OS packages are needed to install NetBackup versions 8.1.x.x and earlier since the NetBackup installation scripts use those native OS packaging commands.

Solution

Install additional Solaris 11u4 operating system packages that contain the native packaging commands: pkginfo, pkgadd, pkgrm.

 

 

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS

View solution in original post

Tags (2)
6 Replies

Re: oracle 11.4 w/acsls or infoscale - not working

Tested updating to 11.4, cannot communicate with acsls robot -

 Found this page in the Veritas forums: https://www.veritas.com/support/en_US/article.000114371

 Solaris 11.3 has /usr/ucblib directory and files. When you patch/upgrade to 11.4, that directory is removed.

 Netbackup needs /usr/ucblib/sparcv9/librpcsoc.so.1 to communicate with ACS and with 11.4, and it is not there.

 

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS

Re: oracle 11.4 w/acsls or infoscale - not working

Have you logged a call with Oracle?
Since both ACSLS and Solaris are their products....

About Infoscale - this is a separate issue.
Veritas has not yet certified Infoscale on Solaris 11.4. Way overdue....
There have been queries in Infoscale forum.

Re: oracle 11.4 w/acsls or infoscale - not working

According to this document 

http://www.oracle.com/us/assets/lifetime-support-hardware-301321.pdf

ACSLS 8.4 is supported until 2020. If orcale removes software libraries needed to communicate with ACSLS I think you have a good story with Oracle/Veritas.

Re: oracle 11.4 w/acsls or infoscale - not working

Infoscale update SHOULD be available 1/29/2019

opened SR with Oracle and Veritas, waiting to hear

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS
Tags (2)
Accepted Solution!

Re: oracle 11.4 w/acsls or infoscale - not working

So - when you update an older Solaris system, the ucb libraries are there. But a new install will not include them.

You have to tar up the ucb tree structure from an old one and restore it to the new system after patching/installation.

At this time Veritas writing to a robot using acsls does NOT work with new installs of 11.4

It is not that the acsls does not work, but oracle has been saying they will be removing these directories for a while and finally did it.

Offically, this is not an approved solution, but unofficially it is the only workaround until Veritas recompiles with corrected libraries. That likely will take a new verison, so 8.2? 

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS

View solution in original post

Tags (2)
Accepted Solution!

Re: oracle 11.4 w/acsls or infoscale - not working

NBU – Support for 11.4 is not currently listed on the compatibility list

  • We are waiting on confirmation from the product management team at Veritas to confirm support for 11.4 on NetBackup
  • The  Infoscale patch for solaris 11.4 is set for release on 1/29/19.

 

https://www.veritas.com/support/en_US/article.100044620 - Veritas Support Article to address 11.4 pkginfo, pkgadd, pkgrm commands not being available.

 

Problem

Unable to install NetBackup 8.1.x and earlier client on Solaris 11 update 4 OS

Error Message

./cp_to_client: line 2471: pkginfo: not found

Install trace file:

pkginfo -q VRTSpbx.*
./installpbx[581]: pkginfo: not found [No such file or directory]

ERROR: The supplied package tarball is not of appropriate version/architecture for this machine

Cause

Found that in 11.4 pkginfo, pkgadd, pkgrm commands are not available

It appears the default installation of Solaris 11 update 4 does not include pkginfo/pkgadd/pkgrm

Those OS packages are needed to install NetBackup versions 8.1.x.x and earlier since the NetBackup installation scripts use those native OS packaging commands.

Solution

Install additional Solaris 11u4 operating system packages that contain the native packaging commands: pkginfo, pkgadd, pkgrm.

 

 

NetBackup 8.1.2 on Solaris 11, writing to DataDomain 9800
duplicating via SLP to LTO5 in SL8500 via ACSLS

View solution in original post

Tags (2)